>From 81baeacd97236644540e47cfefa5016f6237e013 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Marian=20=C4=8Eurkovi=C4=8D?= <md@bts.sk>
Date: Fri, 4 Sep 2009 11:36:47 +0200
Subject: [PATCH] Fix demuxdump to work with RTP input

---
 modules/demux/demuxdump.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/modules/demux/demuxdump.c b/modules/demux/demuxdump.c
index 8eeb91e..5025966 100644
--- a/modules/demux/demuxdump.c
+++ b/modules/demux/demuxdump.c
@@ -77,8 +77,6 @@ struct demux_sys_t
     char        *psz_file;
     FILE        *p_file;
     uint64_t    i_write;
-
-    uint8_t     buffer[DUMP_BLOCKSIZE];
 };
 
 /*
@@ -173,14 +171,14 @@ static int Demux( demux_t *p_demux )
 {
     demux_sys_t *p_sys = p_demux->p_sys;
 
+    const uint8_t *p_peek;
     int i_data;
 
-    /* I'm pretty sure that stream_Peek,stream_Read( , NULL ) would be faster*/
-    i_data = stream_Read( p_demux->s, p_sys->buffer, DUMP_BLOCKSIZE );
+    i_data = stream_Peek( p_demux->s, &p_peek, DUMP_BLOCKSIZE );
     if ( i_data <= 0 )
         return i_data;
 
-    i_data = fwrite( p_sys->buffer, 1, i_data, p_sys->p_file );
+    i_data = fwrite( p_peek, 1, i_data, p_sys->p_file );
 
     if( i_data == 0 )
     {
@@ -191,6 +189,7 @@ static int Demux( demux_t *p_demux )
     msg_Dbg( p_demux, "dumped %d bytes", i_data );
 #endif
 
+    stream_Read( p_demux->s, NULL, i_data );
     p_sys->i_write += i_data;
 
     return 1;
-- 
1.5.3.3

